Loading...
Searching...
No Matches
log4shib::Win32DebugAppender Class Reference

Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems. More...

`#include <Win32DebugAppender.hh>`

Inheritance diagram for log4shib::Win32DebugAppender:
[legend]
Collaboration diagram for log4shib::Win32DebugAppender:
[legend]

## Public Member Functions

| Win32DebugAppender (const std::string &name)
| Constructor.
virtual | ~Win32DebugAppender ()
| Destructor.
virtual void | close ()
| Close method.
Public Member Functions inherited from log4shib::LayoutAppender
| LayoutAppender (const std::string &name)
virtual | ~LayoutAppender ()
virtual bool | requiresLayout () const
| Check if the appender requires a layout.
virtual void | setLayout (Layout *layout=NULL)
| Set the Layout for this appender.
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton.
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way.
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g.
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender.
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender.
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender.
virtual Filter * | getFilter ()
| Get the Filter for this appender.
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender.
const std::string & | getName () const
| Get the name of this appender.

## Protected Member Functions

virtual void | _append (const LoggingEvent &event)
| Method that does the actual work.
Protected Member Functions inherited from log4shib::LayoutAppender
Layout & | _getLayout ()
| Return the layout of the appender.
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton.
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender.

## Additional Inherited Members

Public Types inherited from log4shib::LayoutAppender
typedef BasicLayout | DefaultLayoutType
Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender.
static bool | reopenAll ()
| Call reopen() on all existing Appenders.
static void | closeAll ()
| Call reopen() on all existing Appenders.

## Detailed Description

Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems.

This is useful for users of MSVC and Borland because the log messages will show up in the debugger window.
NB: This class is only available on Win32 platforms.

## Constructor & Destructor Documentation

## Win32DebugAppender()

log4shib::Win32DebugAppender::Win32DebugAppender | ( | const std::string & | name | ) |

Constructor.

Parameters

  name | Name used by the base classes only.

## ~Win32DebugAppender()

log4shib::Win32DebugAppender::~Win32DebugAppender | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## _append()

void log4shib::Win32DebugAppender::_append | ( | const LoggingEvent & | event | ) |

protected virtual

Method that does the actual work.

In this case, it simply sets up the layout and calls the OutputDebugString API.

Parameters

  event | Event for which we are logging.

Implements log4shib::AppenderSkeleton.

## close()

void log4shib::Win32DebugAppender::close | ( |  | ) |

virtual

Close method.

This is called by the framework, but there is nothing to do for the OutputDebugString API, so it simply returns.

Implements log4shib::AppenderSkeleton.

The documentation for this class was generated from the following files:

- Win32DebugAppender.hh
- Win32DebugAppender.cpp